AI Models
Available AI models for event execution
AI Models API
List available AI models for event execution.
Endpoints
List AI Models
GET /api/ai-modelsExamples
Get Available Models
curl https://api.narrativeprotocol.com/api/ai-models \
-H "Authorization: Bearer <token>"{
"success": true,
"data": [
{
"modelId": "openai/gpt-oss-120b",
"modelDisplayName": "GPT OSS 120B",
"modelDescription": "Default model for event execution",
"contextLength": 131000,
"attestationSupported": true,
"verifiable": true,
"isDefault": true
}
]
}Usage
Set the AI model when creating a deployment:
curl -X POST https://api.narrativeprotocol.com/api/worlds/39/deployments \
-H "Content-Type: application/json" \
-H "Authorization: Bearer <token>" \
-d '{
"name": "Season 1",
"aiModelId": "openai/gpt-oss-120b",
"bindings": [{
"event": "race_result",
"eventVersion": 1
}]
}'